<?php



class TblblogpolldataMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogpolldataMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogpolldataPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogpolldataPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogpolldata');
		$tMap->setClassname('Tblblogpolldata');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('PD_ID', 'PdId', 'INTEGER', true, null);

		$tMap->addColumn('PD_CHOICE', 'PdChoice', 'INTEGER', true, null);

		$tMap->addColumn('PD_USER', 'PdUser', 'INTEGER', true, null);

		$tMap->addColumn('PD_IP', 'PdIp', 'VARCHAR', true, null);

		$tMap->addForeignKey('PD_POLL', 'PdPoll', 'INTEGER', 'tblblogpoll', 'POLL_ID', true, null);

		$tMap->addColumn('PD_CREATEDATE', 'PdCreatedate', 'TIMESTAMP', true, null);

	} 
} 